package com.hikcreate.Utils

import org.apache.hadoop.hbase.HBaseConfiguration
import org.apache.hadoop.hbase.client.Put
import org.apache.hadoop.hbase.io.ImmutableBytesWritable
import org.apache.hadoop.hbase.mapreduce.TableOutputFormat
import org.apache.hadoop.mapreduce.Job

class DataToHbaseUtils {
  def DataToHbaseConf(tablename:String) = {
    val hbaseconf = HBaseConfiguration.create()
    hbaseconf.set("hbase.zookeeper.quorum", "10.197.236.216,10.197.236.217,10.197.236.218")
    hbaseconf.set("hbase.zookeeper.property.clientPort", "2181")
    hbaseconf.set("hbase.defaults.for.version.skip", "true")
    hbaseconf.set("zookeeper.znode.parent", "/hbase-unsecure")
    hbaseconf.set(TableOutputFormat.OUTPUT_TABLE, tablename)

    //初始化jobconf，TableOutputFormat必须是org.apache.hadoop.hbase.mapred包下的
    val job = Job.getInstance(hbaseconf)
    job.setOutputFormatClass(classOf[TableOutputFormat[ImmutableBytesWritable]])
    job.setOutputValueClass(classOf[Put])
    job.setOutputKeyClass(classOf[ImmutableBytesWritable])
    job
  }

}
