package com.hikcreate.Utils

class DateFormatUtils extends Serializable {

  def dateFormatRes(datetime: String) = {
    if (datetime == null) {
      "null"
    } else {
      val datemk = new DateUtils(datetime)
      val year = datemk.YEAR
      val month = if (datemk.MONTH < 10)s"""0${datemk.MONTH}""" else datemk.MONTH
      val day = if (datemk.DAY_OF_MONTH < 10)s"""0${datemk.DAY_OF_MONTH}""" else datemk.DAY_OF_MONTH
      val hour = if (datemk.HOUR_OF_DAY < 10)s"""0${datemk.HOUR_OF_DAY}""" else datemk.HOUR_OF_DAY
      val minute = if (datemk.MINUTE < 10)s"""0${datemk.MINUTE}""" else datemk.MINUTE
      val second = if (datemk.SECOND < 10)s"""0${datemk.SECOND}""" else datemk.SECOND
      (year + "-" + month + "-" + day + " " + hour + ":" + minute + ":" + second)
    }
  }
}
